Subject: Re: 1.7.3: Backspace key not working in GNU screen.
From: Andy Koppe <[email-masked]>
To: [email-masked]
Date: Sat, 10 Apr 2010 17:00:30 +0100
List-Id: <cygwin.cygwin.com>

Christopher Faylor:
>>Workarounds: Add 'set CYGWIN=tty' to Cygwin.bat (or wherever you're
>>starting your session from), or use one of the other terminals.
>
> If setting CYGWIN=tty affects the setting of the backspace key for ptys
> then that's a bug in Cygwin.  You really should *not* be setting
> CYGWIN=tty for applications like mintty, rxvt, xterm, ssh, screen, etc.,
> which use ptys.  Really.

The issue only affects the specific case of 'screen' running in the
console without 'tty' in the CYGWIN settings: the backspace key sends
^@ instead of what's set in the console's stty settings. Yes, I assume
it's a Cygwin bug.

Andy

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple